Package com.collibra.dgc.core.api.component.viewpermission

# Interface ViewPermissionApi

public interface ViewPermissionApi
Contains all operations related to view permissions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ViewPermission`
  `addViewPermission(AddViewPermissionRequest addViewPermissionRequest)`
  Adds a new ViewPermission.
  `PagedResponse<ViewPermission>`
  `findViewPermissions(FindViewPermissionRequest findViewPermissionRequest)`
  Finds view permissions according to the given criteria.
  `ViewPermission`
  `getViewPermission(String viewPermissionId)`
  Deprecated.
  This method will be removed in the future.
  `ViewPermission`
  `getViewPermission(UUID viewPermissionId)`
  Retrieves a ViewPermission.
  `void`
  `removeViewPermission(String viewPermissionId)`
  Deprecated.
  This method will be removed in the future.
  `void`
  `removeViewPermission(UUID viewPermissionId)`
  Removes a ViewPermission.

- ## Method Details

  - ### getViewPermission

    @Deprecated ViewPermission getViewPermission(String viewPermissionId)
    Deprecated.
    This method will be removed in the future. Please, use `getViewPermission(UUID)` ()}
    Retrieves a ViewPermission.
    Parameters:
      `viewPermissionId` - the identifier of the view permission to retrieve
    Returns:
      the found ViewPermission

  - ### getViewPermission

    ViewPermission getViewPermission(UUID viewPermissionId)
    Retrieves a ViewPermission.
    Parameters:
      `viewPermissionId` - the identifier of the view permission to retrieve
    Returns:
      the found ViewPermission

  - ### findViewPermissions

    @SecurityAuditMethod(resultFormatter=com.collibra.dgc.core.api.internal.security.audit.formatter.PagedResponseFormatter.class) PagedResponse<ViewPermission> findViewPermissions(FindViewPermissionRequest findViewPermissionRequest)
    Finds view permissions according to the given criteria.
    Parameters:
      `findViewPermissionRequest` - the request representing the search criteria
    Returns:
      a PagedResponse of ViewPermission

  - ### addViewPermission

    ViewPermission addViewPermission(AddViewPermissionRequest addViewPermissionRequest)
    Adds a new ViewPermission.
    Parameters:
      `addViewPermissionRequest` - the request containing the parameters to create view permissions
    Returns:
      the newly created ViewPermission

  - ### removeViewPermission

    @Deprecated void removeViewPermission(String viewPermissionId)
    Deprecated.
    This method will be removed in the future. Please, use `removeViewPermission(UUID)` instead.
    Removes a ViewPermission.
    Parameters:
      `viewPermissionId` - the identifier of the view permission to remove

  - ### removeViewPermission

    void removeViewPermission(UUID viewPermissionId)
    Removes a ViewPermission.
    Parameters:
      `viewPermissionId` - the identifier of the view permission to remove